## CoglOnscreenTemplate: Describe a template for onscreen framebuffers CoglOnscreenTemplate: Describe a template for onscreen framebuffers |

## Functions

CoglBool | cogl_is_onscreen_template ()
CoglOnscreenTemplate * | cogl_onscreen_template_new ()

## Types and Values

| CoglOnscreenTemplate

## Description

## Functions

### cogl_is_onscreen_template ()

    CoglBool
    cogl_is_onscreen_template (void *object);

Gets whether the given object references a CoglOnscreenTemplate.

#### Parameters

object | A CoglObject pointer |

#### Returns

`TRUE` if the object references a CoglOnscreenTemplate and `FALSE` otherwise.

Since: 1.10

Stability Level: Unstable

### cogl_onscreen_template_new ()

    CoglOnscreenTemplate *
    cogl_onscreen_template_new (CoglSwapChain *swap_chain);

## Types and Values

### CoglOnscreenTemplate

    typedef struct _CoglOnscreenTemplate CoglOnscreenTemplate;